from typing import List

import numpy as np
from numpy import sqrt

J0 = np.array(
    [
        [1],
    ]
)

J1 = np.array(
    [
        [0, -1, 0],
        [-1, 0, 0],
        [0, 0, 1],
    ]
)

J2 = np.array(
    [
        [0, 0, 0, -1, 0],
        [0, 1, 0, 0, 0],
        [0, 0, -1 / 2, 0, -sqrt(3) / 2],
        [-1, 0, 0, 0, 0],
        [0, 0, -sqrt(3) / 2, 0, 1 / 2],
    ]
)

J3 = np.array(
    [
        [0, 0, 0, sqrt(10) / 4, 0, -sqrt(6) / 4, 0],
        [0, 1, 0, 0, 0, 0, 0],
        [0, 0, 0, sqrt(6) / 4, 0, sqrt(10) / 4, 0],
        [sqrt(10) / 4, 0, sqrt(6) / 4, 0, 0, 0, 0],
        [0, 0, 0, 0, -1 / 4, 0, -sqrt(15) / 4],
        [-sqrt(6) / 4, 0, sqrt(10) / 4, 0, 0, 0, 0],
        [0, 0, 0, 0, -sqrt(15) / 4, 0, 1 / 4],
    ]
)

J4 = np.array(
    [
        [0, 0, 0, 0, 0, sqrt(14) / 4, 0, -sqrt(2) / 4, 0],
        [0, 3 / 4, 0, -sqrt(7) / 4, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, sqrt(2) / 4, 0, sqrt(14) / 4, 0],
        [0, -sqrt(7) / 4, 0, -3 / 4, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 3 / 8, 0, sqrt(5) / 4, 0, sqrt(35) / 8],
        [sqrt(14) / 4, 0, sqrt(2) / 4, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, sqrt(5) / 4, 0, 1 / 2, 0, -sqrt(7) / 4],
        [-sqrt(2) / 4, 0, sqrt(14) / 4, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, sqrt(35) / 8, 0, -sqrt(7) / 4, 0, 1 / 8],
    ]
)

J5 = np.array(
    [
        [0, 0, 0, 0, 0, -3 * sqrt(14) / 16, 0, sqrt(30) / 8, 0, -sqrt(10) / 16, 0],
        [0, 1 / 2, 0, -sqrt(3) / 2, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, -sqrt(70) / 16, 0, -sqrt(6) / 8, 0, 9 * sqrt(2) / 16, 0],
        [0, -sqrt(3) / 2, 0, -1 / 2, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, -sqrt(15) / 8, 0, -sqrt(7) / 4, 0, -sqrt(21) / 8, 0],
        [-3 * sqrt(14) / 16, 0, -sqrt(70) / 16, 0, -sqrt(15) / 8, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 1 / 8, 0, sqrt(42) / 16, 0, sqrt(210) / 16],
        [sqrt(30) / 8, 0, -sqrt(6) / 8, 0, -sqrt(7) / 4, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, sqrt(42) / 16, 0, 13 / 16, 0, -3 * sqrt(5) / 16],
        [-sqrt(10) / 16, 0, 9 * sqrt(2) / 16, 0, -sqrt(21) / 8, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, sqrt(210) / 16, 0, -3 * sqrt(5) / 16, 0, 1 / 16],
    ]
)

J6 = np.array(
    [
        [0, 0, 0, 0, 0, 0, 0, -3 * sqrt(22) / 16, 0, sqrt(55) / 16, 0, -sqrt(3) / 16, 0],
        [0, 5 / 16, 0, -sqrt(165) / 16, 0, sqrt(66) / 16, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, -sqrt(3) / 4, 0, -sqrt(30) / 8, 0, sqrt(22) / 8, 0],
        [0, -sqrt(165) / 16, 0, 1 / 16, 0, 3 * sqrt(10) / 16, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, -sqrt(10) / 16, 0, -9 / 16, 0, -sqrt(165) / 16, 0],
        [0, sqrt(66) / 16, 0, 3 * sqrt(10) / 16, 0, 5 / 8, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, -5 / 16, 0, -sqrt(210) / 32, 0, -3 * sqrt(7) / 16, 0, -sqrt(462) / 32],
        [-3 * sqrt(22) / 16, 0, -sqrt(3) / 4, 0, -sqrt(10) / 16, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, -sqrt(210) / 32, 0, -17 / 32, 0, -sqrt(30) / 32, 0, 3 * sqrt(55) / 32],
        [sqrt(55) / 16, 0, -sqrt(30) / 8, 0, -9 / 16, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, -3 * sqrt(7) / 16, 0, -sqrt(30) / 32, 0, 13 / 16, 0, -sqrt(66) / 32],
        [-sqrt(3) / 16, 0, sqrt(22) / 8, 0, -sqrt(165) / 16, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, -sqrt(462) / 32, 0, 3 * sqrt(55) / 32, 0, -sqrt(66) / 32, 0, 1 / 32],
    ]
)

J7 = np.array(
    [
        [0, 0, 0, 0, 0, 0, 0, sqrt(429) / 32, 0, -sqrt(2002) / 64, 0, sqrt(91) / 32, 0, -sqrt(14) / 64, 0],
        [0, 3 / 16, 0, -sqrt(26) / 8, 0, sqrt(143) / 16, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, sqrt(231) / 32, 0, sqrt(22) / 64, 0, -25 / 32, 0, 5 * sqrt(26) / 64, 0],
        [0, -sqrt(26) / 8, 0, 1 / 2, 0, sqrt(22) / 8, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 3 * sqrt(21) / 32, 0, 19 * sqrt(2) / 64, 0, -sqrt(11) / 32, 0, -3 * sqrt(286) / 64, 0],
        [0, sqrt(143) / 16, 0, sqrt(22) / 8, 0, 5 / 16, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 5 * sqrt(7) / 32, 0, 15 * sqrt(6) / 64, 0, 3 * sqrt(33) / 32, 0, sqrt(858) / 64, 0],
        [sqrt(429) / 32, 0, sqrt(231) / 32, 0, 3 * sqrt(21) / 32, 0, 5 * sqrt(7) / 32, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, -5 / 64, 0, -9 * sqrt(3) / 64, 0, -5 * sqrt(33) / 64, 0, -sqrt(3003) / 64],
        [-sqrt(2002) / 64, 0, sqrt(22) / 64, 0, 19 * sqrt(2) / 64, 0, 15 * sqrt(6) / 64, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, -9 * sqrt(3) / 64, 0, -39 / 64, 0, -11 * sqrt(11) / 64, 0, sqrt(1001) / 64],
        [sqrt(91) / 32, 0, -25 / 32, 0, -sqrt(11) / 32, 0, 3 * sqrt(33) / 32, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, -5 * sqrt(33) / 64, 0, -11 * sqrt(11) / 64, 0, 43 / 64, 0, -sqrt(91) / 64],
        [-sqrt(14) / 64, 0, 5 * sqrt(26) / 64, 0, -3 * sqrt(286) / 64, 0, sqrt(858) / 64, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, -sqrt(3003) / 64, 0, sqrt(1001) / 64, 0, -sqrt(91) / 64, 0, 1 / 64],
    ]
)

J8 = np.array(
    [
        [0, 0, 0, 0, 0, 0, 0, 0, 0, sqrt(715) / 32, 0, -sqrt(273) / 32, 0, sqrt(35) / 32, 0, -1 / 32, 0],
        [0, 7 / 64, 0, -5 * sqrt(35) / 64, 0, 3 * sqrt(273) / 64, 0, -sqrt(715) / 64, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, sqrt(858) / 64, 0, sqrt(910) / 64, 0, -7 * sqrt(42) / 64, 0, 3 * sqrt(30) / 64, 0],
        [0, -5 * sqrt(35) / 64, 0, 45 / 64, 0, sqrt(195) / 64, 0, -sqrt(1001) / 64, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, sqrt(77) / 32, 0, 5 * sqrt(15) / 32, 0, 3 * sqrt(13) / 32, 0, -sqrt(455) / 32, 0],
        [0, 3 * sqrt(273) / 64, 0, sqrt(195) / 64, 0, -17 / 64, 0, -sqrt(1155) / 64, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, sqrt(70) / 64, 0, 3 * sqrt(66) / 64, 0, sqrt(1430) / 64, 0, sqrt(2002) / 64, 0],
        [0, -sqrt(715) / 64, 0, -sqrt(1001) / 64, 0, -sqrt(1155) / 64, 0, -35 / 64, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            35 / 128,
            0,
            3 * sqrt(70) / 64,
            0,
            3 * sqrt(77) / 64,
            0,
            sqrt(858) / 64,
            0,
            3 * sqrt(715) / 128,
        ],
        [sqrt(715) / 32, 0, sqrt(858) / 64, 0, sqrt(77) / 32, 0, sqrt(70) / 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 3 * sqrt(70) / 64, 0, 1 / 2, 0, sqrt(110) / 32, 0, 0, 0, -sqrt(2002) / 64],
        [-sqrt(273) / 32, 0, sqrt(910) / 64, 0, 5 * sqrt(15) / 32, 0, 3 * sqrt(66) / 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 3 * sqrt(77) / 64, 0, sqrt(110) / 32, 0, -9 / 32, 0, -sqrt(546) / 32, 0, sqrt(455) / 64],
        [sqrt(35) / 32, 0, -7 * sqrt(42) / 64, 0, 3 * sqrt(13) / 32, 0, sqrt(1430) / 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, sqrt(858) / 64, 0, 0, 0, -sqrt(546) / 32, 0, 1 / 2, 0, -sqrt(30) / 64],
        [-1 / 32, 0, 3 * sqrt(30) / 64, 0, -sqrt(455) / 32, 0, sqrt(2002) / 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 3 * sqrt(715) / 128, 0, -sqrt(2002) / 64, 0, sqrt(455) / 64, 0, -sqrt(30) / 64, 0, 1 / 128],
    ]
)

J9 = np.array(
    [
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -sqrt(24310) / 256,
            0,
            3 * sqrt(221) / 64,
            0,
            -3 * sqrt(238) / 128,
            0,
            sqrt(51) / 64,
            0,
            -3 * sqrt(2) / 256,
            0,
        ],
        [0, 1 / 16, 0, -sqrt(102) / 32, 0, sqrt(119) / 16, 0, -sqrt(442) / 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -3 * sqrt(1430) / 256,
            0,
            sqrt(13) / 64,
            0,
            23 * sqrt(14) / 128,
            0,
            -21 * sqrt(3) / 64,
            0,
            7 * sqrt(34) / 256,
            0,
        ],
        [0, -sqrt(102) / 32, 0, 23 / 32, 0, -sqrt(42) / 32, 0, -3 * sqrt(39) / 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -3 * sqrt(286) / 128,
            0,
            -sqrt(65) / 32,
            0,
            3 * sqrt(70) / 64,
            0,
            5 * sqrt(15) / 32,
            0,
            -5 * sqrt(170) / 128,
            0,
        ],
        [0, sqrt(119) / 16, 0, -sqrt(42) / 32, 0, -9 / 16, 0, -sqrt(182) / 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -sqrt(2310) / 128,
            0,
            -3 * sqrt(21) / 32,
            0,
            -sqrt(78) / 64,
            0,
            sqrt(91) / 32,
            0,
            sqrt(9282) / 128,
            0,
        ],
        [0, -sqrt(442) / 32, 0, -3 * sqrt(39) / 32, 0, -sqrt(182) / 32, 0, -7 / 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -21 * sqrt(5) / 128,
            0,
            -7 * sqrt(22) / 64,
            0,
            -sqrt(1001) / 64,
            0,
            -sqrt(858) / 64,
            0,
            -sqrt(2431) / 128,
            0,
        ],
        [
            -sqrt(24310) / 256,
            0,
            -3 * sqrt(1430) / 256,
            0,
            -3 * sqrt(286) / 128,
            0,
            -sqrt(2310) / 128,
            0,
            -21 * sqrt(5) / 128,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            7 / 128,
            0,
            sqrt(462) / 128,
            0,
            sqrt(1430) / 128,
            0,
            7 * sqrt(286) / 256,
            0,
            3 * sqrt(4862) / 256,
        ],
        [
            3 * sqrt(221) / 64,
            0,
            sqrt(13) / 64,
            0,
            -sqrt(65) / 32,
            0,
            -3 * sqrt(21) / 32,
            0,
            -7 * sqrt(22) / 64,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            sqrt(462) / 128,
            0,
            29 / 64,
            0,
            sqrt(1365) / 64,
            0,
            3 * sqrt(273) / 128,
            0,
            -sqrt(4641) / 128,
        ],
        [
            -3 * sqrt(238) / 128,
            0,
            23 * sqrt(14) / 128,
            0,
            3 * sqrt(70) / 64,
            0,
            -sqrt(78) / 64,
            0,
            -sqrt(1001) / 64,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            sqrt(1430) / 128,
            0,
            sqrt(1365) / 64,
            0,
            9 / 64,
            0,
            -41 * sqrt(5) / 128,
            0,
            3 * sqrt(85) / 128,
        ],
        [
            sqrt(51) / 64,
            0,
            -21 * sqrt(3) / 64,
            0,
            5 * sqrt(15) / 32,
            0,
            sqrt(91) / 32,
            0,
            -sqrt(858) / 64,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            7 * sqrt(286) / 256,
            0,
            3 * sqrt(273) / 128,
            0,
            -41 * sqrt(5) / 128,
            0,
            89 / 256,
            0,
            -3 * sqrt(17) / 256,
        ],
        [
            -3 * sqrt(2) / 256,
            0,
            7 * sqrt(34) / 256,
            0,
            -5 * sqrt(170) / 128,
            0,
            sqrt(9282) / 128,
            0,
            -sqrt(2431) / 128,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            3 * sqrt(4862) / 256,
            0,
            -sqrt(4641) / 128,
            0,
            3 * sqrt(85) / 128,
            0,
            -3 * sqrt(17) / 256,
            0,
            1 / 256,
        ],
    ]
)

J10 = np.array(
    [
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -sqrt(41990) / 256,
            0,
            sqrt(4845) / 128,
            0,
            -sqrt(969) / 128,
            0,
            sqrt(285) / 256,
            0,
            -sqrt(5) / 256,
            0,
        ],
        [
            0,
            9 / 256,
            0,
            -7 * sqrt(57) / 256,
            0,
            sqrt(4845) / 128,
            0,
            -3 * sqrt(969) / 128,
            0,
            sqrt(8398) / 256,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -sqrt(221) / 32,
            0,
            -sqrt(102) / 32,
            0,
            sqrt(510) / 32,
            0,
            -11 * sqrt(6) / 64,
            0,
            sqrt(38) / 64,
            0,
        ],
        [
            0,
            -7 * sqrt(57) / 256,
            0,
            161 / 256,
            0,
            -7 * sqrt(85) / 128,
            0,
            -11 * sqrt(17) / 128,
            0,
            3 * sqrt(1326) / 256,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -9 * sqrt(78) / 256,
            0,
            -69 / 128,
            0,
            sqrt(5) / 128,
            0,
            43 * sqrt(17) / 256,
            0,
            -3 * sqrt(969) / 256,
            0,
        ],
        [
            0,
            sqrt(4845) / 128,
            0,
            -7 * sqrt(85) / 128,
            0,
            -31 / 64,
            0,
            sqrt(5) / 64,
            0,
            3 * sqrt(390) / 128,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -sqrt(39) / 32,
            0,
            -11 * sqrt(2) / 32,
            0,
            -5 * sqrt(10) / 32,
            0,
            -sqrt(34) / 64,
            0,
            sqrt(1938) / 64,
            0,
        ],
        [
            0,
            -3 * sqrt(969) / 128,
            0,
            -11 * sqrt(17) / 128,
            0,
            sqrt(5) / 64,
            0,
            21 / 64,
            0,
            7 * sqrt(78) / 128,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -7 * sqrt(3) / 128,
            0,
            -7 * sqrt(26) / 128,
            0,
            -5 * sqrt(130) / 128,
            0,
            -7 * sqrt(442) / 256,
            0,
            -sqrt(25194) / 256,
            0,
        ],
        [
            0,
            sqrt(8398) / 256,
            0,
            3 * sqrt(1326) / 256,
            0,
            3 * sqrt(390) / 128,
            0,
            7 * sqrt(78) / 128,
            0,
            63 / 128,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -63 / 256,
            0,
            -7 * sqrt(165) / 256,
            0,
            -sqrt(2145) / 128,
            0,
            -3 * sqrt(4290) / 512,
            0,
            -sqrt(12155) / 256,
            0,
            -sqrt(92378) / 512,
        ],
        [
            -sqrt(41990) / 256,
            0,
            -sqrt(221) / 32,
            0,
            -9 * sqrt(78) / 256,
            0,
            -sqrt(39) / 32,
            0,
            -7 * sqrt(3) / 128,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -7 * sqrt(165) / 256,
            0,
            -119 / 256,
            0,
            -13 * sqrt(13) / 128,
            0,
            -19 * sqrt(26) / 512,
            0,
            sqrt(663) / 256,
            0,
            sqrt(125970) / 512,
        ],
        [
            sqrt(4845) / 128,
            0,
            -sqrt(102) / 32,
            0,
            -69 / 128,
            0,
            -11 * sqrt(2) / 32,
            0,
            -7 * sqrt(26) / 128,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -sqrt(2145) / 128,
            0,
            -13 * sqrt(13) / 128,
            0,
            1 / 64,
            0,
            83 * sqrt(2) / 256,
            0,
            11 * sqrt(51) / 128,
            0,
            -sqrt(9690) / 256,
        ],
        [
            -sqrt(969) / 128,
            0,
            sqrt(510) / 32,
            0,
            sqrt(5) / 128,
            0,
            -5 * sqrt(10) / 32,
            0,
            -5 * sqrt(130) / 128,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -3 * sqrt(4290) / 512,
            0,
            -19 * sqrt(26) / 512,
            0,
            83 * sqrt(2) / 256,
            0,
            237 / 512,
            0,
            -31 * sqrt(102) / 512,
            0,
            sqrt(4845) / 512,
        ],
        [
            sqrt(285) / 256,
            0,
            -11 * sqrt(6) / 64,
            0,
            43 * sqrt(17) / 256,
            0,
            -sqrt(34) / 64,
            0,
            -7 * sqrt(442) / 256,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -sqrt(12155) / 256,
            0,
            sqrt(663) / 256,
            0,
            11 * sqrt(51) / 128,
            0,
            -31 * sqrt(102) / 512,
            0,
            59 / 256,
            0,
            -sqrt(190) / 512,
        ],
        [
            -sqrt(5) / 256,
            0,
            sqrt(38) / 64,
            0,
            -3 * sqrt(969) / 256,
            0,
            sqrt(1938) / 64,
            0,
            -sqrt(25194) / 256,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -sqrt(92378) / 512,
            0,
            sqrt(125970) / 512,
            0,
            -sqrt(9690) / 256,
            0,
            sqrt(4845) / 512,
            0,
            -sqrt(190) / 512,
            0,
            1 / 512,
        ],
    ]
)

J11 = np.array(
    [
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            sqrt(88179) / 512,
            0,
            -sqrt(124355) / 512,
            0,
            sqrt(10659) / 256,
            0,
            -3 * sqrt(2926) / 1024,
            0,
            sqrt(385) / 512,
            0,
            -sqrt(22) / 1024,
            0,
        ],
        [
            0,
            5 / 256,
            0,
            -sqrt(70) / 64,
            0,
            9 * sqrt(133) / 256,
            0,
            -sqrt(1938) / 64,
            0,
            sqrt(22610) / 256,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            sqrt(46189) / 512,
            0,
            -sqrt(4845) / 512,
            0,
            -3 * sqrt(2261) / 256,
            0,
            61 * sqrt(114) / 1024,
            0,
            -39 * sqrt(15) / 512,
            0,
            9 * sqrt(42) / 1024,
            0,
        ],
        [0, -sqrt(70) / 64, 0, 1 / 2, 0, -3 * sqrt(190) / 64, 0, 0, 0, sqrt(323) / 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            sqrt(36465) / 512,
            0,
            17 * sqrt(17) / 512,
            0,
            -3 * sqrt(1785) / 256,
            0,
            -105 * sqrt(10) / 1024,
            0,
            77 * sqrt(19) / 512,
            0,
            -7 * sqrt(1330) / 1024,
            0,
        ],
        [
            0,
            9 * sqrt(133) / 256,
            0,
            -3 * sqrt(190) / 64,
            0,
            -47 / 256,
            0,
            sqrt(714) / 64,
            0,
            9 * sqrt(170) / 256,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            15 * sqrt(143) / 512,
            0,
            41 * sqrt(15) / 512,
            0,
            -13 * sqrt(7) / 256,
            0,
            -53 * sqrt(102) / 1024,
            0,
            -3 * sqrt(4845) / 512,
            0,
            5 * sqrt(13566) / 1024,
            0,
        ],
        [0, -sqrt(1938) / 64, 0, 0, 0, sqrt(714) / 64, 0, 1 / 2, 0, sqrt(105) / 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            sqrt(30030) / 512,
            0,
            57 * sqrt(14) / 512,
            0,
            11 * sqrt(30) / 256,
            0,
            -sqrt(595) / 512,
            0,
            -3 * sqrt(4522) / 512,
            0,
            -9 * sqrt(1615) / 512,
            0,
        ],
        [
            0,
            sqrt(22610) / 256,
            0,
            sqrt(323) / 32,
            0,
            9 * sqrt(170) / 256,
            0,
            sqrt(105) / 32,
            0,
            21 / 128,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            21 * sqrt(66) / 512,
            0,
            21 * sqrt(130) / 512,
            0,
            5 * sqrt(546) / 256,
            0,
            15 * sqrt(221) / 512,
            0,
            sqrt(41990) / 512,
            0,
            sqrt(29393) / 512,
            0,
        ],
        [
            sqrt(88179) / 512,
            0,
            sqrt(46189) / 512,
            0,
            sqrt(36465) / 512,
            0,
            15 * sqrt(143) / 512,
            0,
            sqrt(30030) / 512,
            0,
            21 * sqrt(66) / 512,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -21 / 512,
            0,
            -3 * sqrt(455) / 512,
            0,
            -25 * sqrt(78) / 1024,
            0,
            -7 * sqrt(2210) / 1024,
            0,
            -3 * sqrt(25194) / 1024,
            0,
            -sqrt(646646) / 1024,
        ],
        [
            -sqrt(124355) / 512,
            0,
            -sqrt(4845) / 512,
            0,
            17 * sqrt(17) / 512,
            0,
            41 * sqrt(15) / 512,
            0,
            57 * sqrt(14) / 512,
            0,
            21 * sqrt(130) / 512,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -3 * sqrt(455) / 512,
            0,
            -179 / 512,
            0,
            -35 * sqrt(210) / 1024,
            0,
            -33 * sqrt(238) / 1024,
            0,
            -sqrt(67830) / 1024,
            0,
            3 * sqrt(35530) / 1024,
        ],
        [
            sqrt(10659) / 256,
            0,
            -3 * sqrt(2261) / 256,
            0,
            -3 * sqrt(1785) / 256,
            0,
            -13 * sqrt(7) / 256,
            0,
            11 * sqrt(30) / 256,
            0,
            5 * sqrt(546) / 256,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -25 * sqrt(78) / 1024,
            0,
            -35 * sqrt(210) / 1024,
            0,
            -395 / 1024,
            0,
            9 * sqrt(255) / 1024,
            0,
            39 * sqrt(323) / 1024,
            0,
            -sqrt(74613) / 1024,
        ],
        [
            -3 * sqrt(2926) / 1024,
            0,
            61 * sqrt(114) / 1024,
            0,
            -105 * sqrt(10) / 1024,
            0,
            -53 * sqrt(102) / 1024,
            0,
            -sqrt(595) / 512,
            0,
            15 * sqrt(221) / 512,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -7 * sqrt(2210) / 1024,
            0,
            -33 * sqrt(238) / 1024,
            0,
            9 * sqrt(255) / 1024,
            0,
            643 / 1024,
            0,
            -29 * sqrt(285) / 1024,
            0,
            sqrt(7315) / 1024,
        ],
        [
            sqrt(385) / 512,
            0,
            -39 * sqrt(15) / 512,
            0,
            77 * sqrt(19) / 512,
            0,
            -3 * sqrt(4845) / 512,
            0,
            -3 * sqrt(4522) / 512,
            0,
            sqrt(41990) / 512,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -3 * sqrt(25194) / 1024,
            0,
            -sqrt(67830) / 1024,
            0,
            39 * sqrt(323) / 1024,
            0,
            -29 * sqrt(285) / 1024,
            0,
            151 / 1024,
            0,
            -sqrt(231) / 1024,
        ],
        [
            -sqrt(22) / 1024,
            0,
            9 * sqrt(42) / 1024,
            0,
            -7 * sqrt(1330) / 1024,
            0,
            5 * sqrt(13566) / 1024,
            0,
            -9 * sqrt(1615) / 512,
            0,
            sqrt(29393) / 512,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
        ],
        [
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            -sqrt(646646) / 1024,
            0,
            3 * sqrt(35530) / 1024,
            0,
            -sqrt(74613) / 1024,
            0,
            sqrt(7315) / 1024,
            0,
            -sqrt(231) / 1024,
            0,
            1 / 1024,
        ],
    ]
)

Jd: List[np.array] = [J0, J1, J2, J3, J4, J5, J6, J7, J8, J9, J10, J11]
